curl --request GET \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"textSearchEnabled": true,
"nestedFiltersEnabled": true,
"timebar": {
"enabled": true,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": true,
"maxQueries": 123
},
"player": {
"enabled": true,
"mode": "LIVE",
"live": {
"delay": 123,
"delayUnit": "NANOSECONDS",
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": [
"<string>"
],
"countryFormat": "NAME_LONG"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Returns global settings for the data source
Requires READ or DATA_ACCESS permission on the source
curl --request GET \
--url http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings \
--header 'Authorization: Basic <encoded-value>'import requests
url = "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/sources/{sourceId}/global-settings")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"textSearchEnabled": true,
"nestedFiltersEnabled": true,
"timebar": {
"enabled": true,
"from": "<string>",
"to": "<string>",
"calendarId": "<string>",
"timeField": "<string>",
"sharpening": {
"enabled": true,
"maxQueries": 123
},
"player": {
"enabled": true,
"mode": "LIVE",
"live": {
"delay": 123,
"delayUnit": "NANOSECONDS",
"refreshRate": 123
}
}
},
"tileProvider": {
"name": "<string>",
"apiKey": "<string>",
"url": "<string>",
"mapBoxStyleId": "<string>"
},
"defaultVisualFilters": [
{
"sourceId": "<string>",
"path": "<string>",
"form": "<string>",
"operation": "EQUALS",
"value": "<unknown>",
"custom": {},
"label": "<string>"
}
],
"allowedCalendarIds": [
"<string>"
],
"countryFormat": "NAME_LONG"
}{
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"error": "<string>",
"message": "<string>",
"path": "<string>"
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}{
"error": "<string>",
"details": "<string>",
"message": "<string>",
"path": "<string>",
"status": "<string>",
"code": "<string>",
"errorCode": "<string>",
"timestamp": "<string>",
"problems": [
{
"name": "<string>",
"message": "<string>",
"level": "ERROR",
"dependencies": {}
}
]
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Path Parameters
Response
The global settings was returned successfully
Source global settings that affects initial and existing visuals
Enables or disables text search on the dashboard. Can be enabled only of the source supports TEXT_SEARCH feature
Nested filter is shown for filters at sources when this flag is enabled. Will be enabled only if source connector has NO_NESTED_FILTERS with value as false
Timebar settings
Show child attributes
Show child attributes
Maps tile provider settings
Show child attributes
Show child attributes
Row filters used to limit requested data for initial visual rendering of all visuals associated with this source.
Show child attributes
Show child attributes
List of ids of calendars which are allowed to be used by this source
NAME_LONG, FORMAL_EN, ISO_A2, ISO_A3 Was this page helpful?